Saturday, May 28, 2005

Skype for Mac OS X

skypeThe skype is still the old version 1.0 on MacOS X, any way I just do an update. Is not necessary to update every new version release, if happy with the old version software.

I heard the new Mac OS X (Tiger), consume a lot of memory, you might need a minimum of 256MB ram to run it. I will update my os x now, not sure os x 10.4 (Tiger) will perform better on my ibook 700 which using a ATI (ATY RageM7) display card.

PS: I prefer the green color of skype icon than the new red icon.

Tuesday, May 24, 2005

Intel in Apple Computer

appleHeard a romour, Apple Computer consider using a Intel CPU in their machine. Personally I don't think is a good idea to give out PowerPC, consumer will have less choice, but I think if Apple can release a x86 version of their MacOS X, that will be great(which they don't have any plan right now), especially before Microsoft Longhorn is out. Technically OS X is portable to x86 platform, the kernel (Drawin) is already available, porting Quartz (the UI engine) just need a good graphic driver will do. Apple developer is good enough to do such a job. Can't wait to see OSX to run on x86 platform one day in the future!

Saturday, May 21, 2005

Postgresql 8.0.3 on osx and solaris

postgresqlIs just about 2 week time, I visit postgresql website and found a new version 8.0.3. I have try to compile 8.0.2 on early May. I download the new version and compile on Solaris (2.6 + gcc 2.8.1). Ya gcc 2.8, is very old, but working. I take about an hour(?) (or may be less) on a UltraSparc II (300MHz) machine. I try on MacOS X, it take less than an hour. Anyway it can be easily compile and run on both platform.

After talking with my friend, I decide to take a try to compile mysql, I download the 4.1.12 version. I after few years time I never take a look at mysql, wow is easy to compile as well, but not able to do the timing, may be next time.

postgresql is just easy to compile and use:

to configure and compile
$ ./configure --prefix=/usr/local/pgsql

create database
# make /usr/local/pgsql/data
# chown postgres /usr/local/pgsql/data

$ initdb -D /usr/local/pgsql/data

startup database server
$ postmaster -D /usr/local/pgsql/data
(can't start up as root)

$ psql template1
(template1 is a default database, you can't do much thing with it)

Friday, May 20, 2005

Fedora on Mac mini

redhatColin Charles (from myoss mailing list) has an article on "fedora on mac mini".

Thursday, May 19, 2005

Apache 2.0.54 compile on UltraSparc (Solaris)

Compilation of apache-2.0.54 on UltraSparc-II (296MHz) Solaris, take about 3 to 4 hours to complete. Same source compile on Pentium III (900MHz with L2 cache) Linux and PowerPC 800Mhz MacOS X is just about 15 to 20 minutes. The following is my configure script:- $ ./configure --prefix=/usr/local/apache2 --enable-mods-shared="cgi ssl env mime slias vhost_alias dir autoindex access rewrite expires status info"

Friday, May 13, 2005

OpenSSL 0.9.7g on Solaris (SS20)

firefoxIs quite some time I never check with site, the new version is 0.9.7g, which my existing version is 0.9.7e(2004). Since 0.9.7g stated with security changes, I think I better upgrade. Many application link to ssl library, eg. apache and ssh program, I need to recompile these program and make sure it work. I encounter some problems(which I already expected!) while doing the upgrade, the situation is like this:-

I have some 3 Sun machine--Server 1000, SparcStation 20(SS20) and UltraSparc, only the UltraSparc install with compiler. After I compile openssh on the UltraSparc, I was not able to the get run on the other 2 Sun server, the reason is simple, the new openssh binary is a sparc v8+ binary and the SS20 only support v8. The v8+ binary came from openssl library not the openssh.

I encounter the problem about 4 years (yes, 4 years!) ago, when my colleague compile apahce, he is having the same problem, finally he install a compiler on the SS20 and re-compile the apache from there, and solve the problem. Definately there are many ways to solve the problem, I was not able to install a compiler on the SS20, because the machine are just too small.

Let's look at the problem. The common architecture that you can found on Sun machine are v7, v8, v8a, v8+, v9(and above), these architecture are just like x86's 286, 386, 486, 586, 686 and so on. v7 are too just too old(SS20 should be old enough to be abandon too), that it might only found on SunOS 4.x and very old hardware, v9 are new enough that will not give you much problem, so just focus on v8 (v7 v8 v8a are binary compatible, check here) and v8+ which is not compatible.

When I compile openssl on ultrasparc, it always give me v8+ code, may be there is some bugs with the config script during compilation, it doesn't work even though I pass in some parameter to ask openssl to be compile with v8 code. So finally I manually change the config script:-

$ vi config

to force openssl compiled as v8 code, and it works! If you want to know more sun4m or sun4u, check it out here.

If you having a lot of old Sun hardware, you can still find support on the internet, from, sun solve.

Security Update, Firefox 1.0.4!

firefoxYesterday before I left the office, my colleague told me there is a new update for firefox(v1.0.4), which I didn't notice any acknowledgement from firefox online update, the new version is to fix some security vulnerabilities. The following security announcement is from Security Advisory (May 8, 2005) The Mozilla Foundation is aware of two potentially critical Firefox security vulnerabilities as reported publicly Saturday, May 7th. The power of opensource. I have update my Windows, MacOS X with firefox 1.0.4. Linux? My boot partition has been wipe off since quite some time ago, so I was not able to access my linux until I fix it...When I am free.

Friday, May 06, 2005

Gnome Ali, fame and flame

Ali Akcaagac is very popular of creating flame war in gnome development list:- Official Complain. Ali complaint on Mark McLoughlin has offended him, pointing Ali as a 'non developer'. Alan Cox say something for Ali. Sometimes I am quite agress with Ali too. From here gone, gnome is losing a developer. Ali Akcaagac Attempts to Fork Gnome.

Thursday, May 05, 2005

midnight commander, something interesting

I am having some problem to delete file with funny character name (eg. '-') on Solaris. Sometimes I use the Solaris CDE File Manager(GUI) to remove it, but most of the time I just leave it there. Those 'funny' filename will mess up the screen display when I do a directory list. Definately I don't login to graphical screen on the solaris all the time, but work through telnet.

The first solution came into my mind, is using mc (Midnight Commander). I compile a version (but forgotten which number) of mc and install it on another Solaris machine(this machine do not have a compiler), surprisingly I need a glib library, I got a shock by this.

To do a quick fix, I just do a static link to the mc, and install it to the machine again, but the mc are just too big to fit into /usr directory on that very little solaris machine. I recall I compile mc on solaris before(many years ago), it doesn't need glib, and it doesn't make sense for me, glib is more likely for gtk.

I search around and found out there is fork for the mc, call mc-mp(Midnight Commander, More Powerful), which taken out glib library dependency, and some bugs fix, the code size is much more smaller than the static link of the original mc(about 1MB to 5MB), and using it happily on my Solaris machine.

Recently I search through the net. Found someone (Ali Akcaagac) propose remove dependency of gtk (1st) on the mc-dev mailing list, end up created some flame war. Is a long thread.

If you are too lazy to read through the mailing list, there is another (lengthly) web page which summarize a lot of things about mc; history, and the creator Miguel. The comment for Miguel, he is too much Microsoft style, this explain my question 'Why Miguel create the Mono project?' quite well.

(Midnight commander originally created by Miguel de Icaza, he start GNOME project, he is the co-founder of Ximian. Ximian acquired by Novell in year 2003)

And it give me another view to Miguel. :)

Wednesday, May 04, 2005

Postgresql 8.0.2 on osx and solaris

postgresqlGet a call from a friend, he is telling me, he want to compile mysql from source, I said good! Then he can told me what is his progress, I did try to compile mysql many years ago, but fail. The postgresql has success many times. I have successfully compile and install postgresql-8.0.2 on solaris 2.5 (gcc 2.9), solaris 2.6 (gcc 2.8). Experience on 2.6 (gcc 2.8) Even though the compilation is a bit slow (on ultra spac II), but the compilation consider smooth, the gcc 2.8 is a very old version, but working find, I install the compile binary and is working fine. Experience on 2.5 (gcc 2.9, Workshop C v4.2) I am getting a lot of warning from the header file (netdb.h), both compiler (gcc 2.9 and Workshop C), I didn't find out why because it still can be compile. I didn't try the binary, because my 2.5 machine are too small to run the postgresql. Experience on OS X 1. need readline lib the easiest way to install readline library should be using fink, the is a good instruction show you how to do it. after install fink, just $ sudo /sw/bin/fink install readline $ cd (to postgresql source directory) $ ./configure --with-includes=/sw/include/ --with-libraries=/sw/lib 2. if you think installing readline and fink is too trouble, and just want to try out postgresql database, use use the option $ ./configure --without-readline The output binary will still work, just the sql client (psql) do not have a doskey like function. The compilation will just work fine without any problems.

Monday, May 02, 2005

Mac OS X Tiger review

osx pantherI get the review before I visit the OS demo, but only take a detail look of it after I came back. The writer have something quite important to me here:- Apple tried mightily to provide binary compatibility for kernel extensions (kexts) across major revisions of Mac OS X. The effort was largely successful, but at a tremendous cost. ... Worse still, some bugs actually could not be fixed because doing so would break binary compatibility... Linux having this compatibility problem, each time they upgrade the glibc, since many program ultimately link to glibc, after the upgrade, many program just don't work. In a commercial/enterprise environment, compatibility sometimes just worth more than anything else.